Loading...
Searching...
No Matches
tropicalVarietyOfIdeals.h File Reference
`#include "polys/simpleideals.h"`
`#include "tropicalStrategy.h"`

Go to the source code of this file.

## Functions

gfan::ZFan * | tropicalVariety (const tropicalStrategy currentStrategy)

## Function Documentation

## tropicalVariety()

gfan::ZFan * tropicalVariety | ( | const tropicalStrategy | currentStrategy | ) |

Definition at line 5 of file tropicalVarietyOfIdeals.cc.

{
tropicalStartingPoints = gfan::ZMatrix(0,rVar(currentStrategy.getStartingRing()));
groebnerCone startingCone = tropicalStartingCone(currentStrategy);
groebnerCones tropicalVariety = tropicalTraversalMinimizingFlips(startingCone);
return toFanStar(tropicalVariety);
}
toFanStar
gfan::ZFan * toFanStar(std::set< gfan::ZCone > setOfCones)
Definition callgfanlib_conversion.cc:137
groebnerCone
Definition groebnerCone.h:28
tropicalStrategy::getStartingRing
ring getStartingRing() const
returns the polynomial ring over the valuation ring
Definition tropicalStrategy.h:176
groebnerCones
std::set< groebnerCone, groebnerCone_compare > groebnerCones
Definition groebnerCone.h:24
rVar
static short rVar(const ring r)
define rVar(r) (r->N)
Definition ring.h:598
tropicalStartingPoints
gfan::ZMatrix tropicalStartingPoints
Definition startingCone.cc:18
tropicalStartingCone
groebnerCone tropicalStartingCone(const tropicalStrategy &currentStrategy)
Definition startingCone.cc:374
tropicalTraversalMinimizingFlips
groebnerCones tropicalTraversalMinimizingFlips(const groebnerCone startingCone)
Definition tropicalTraversal.cc:52
tropicalVariety
BOOLEAN tropicalVariety(leftv res, leftv args)
Definition tropicalVariety.cc:43